#   
# spec file for package vacuum-im-plugins-usermood
#   
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright Andrey Karepin <egdfree@opensuse.org>
#   
# All modifications and additions to the file contributed by third parties   
# remain the property of their copyright owners, unless otherwise agreed   
# upon. The license for this file, and modifications and additions to the   
# file, is the same license as for the pristine package itself (unless the   
# license for the pristine package is not an Open Source License, in which   
# case the license is the MIT License). An "Open Source License" is a   
# license that conforms to the Open Source Definition (Version 1.9)   
# published by the Open Source Initiative.
#
%define app_name vacuum-im
Name: vacuum-im-plugins-usermood
Summary: Vacuum-IM spellchecker plugin
Version: 0.0.1
Release: 9.3
%if 0%{?suse_version} < 1120
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
%endif
License: GPL-3.0
Group: System/Libraries
Source: %{name}-%{version}.tar.bz2
Patch0: fix_cmake_rules.patch
Url: http://www.vacuum-im.org/
BuildRequires: libqt4-devel vacuum-im-devel libvacuumutils17
BuildRequires: cmake fdupes
 
%description
Vacuum-IM plugin to send and receive information about user moods.
 
%prep
%setup -q -n %{name}
%patch0 -p1
 
%build
%{__mkdir} build
cd build
cmake .. -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_PREFIX=%{_prefix} -DINSTALL_LIB_DIR=%{_lib} -DINSTALL_APP_DIR=%{app_name} -DINSTALL_DOC_DIR=%{_defaultdocdir}
%{__make} %{?_smp_mflags}
 
%install
pushd build
%{make_install} INSTALL_ROOT=%{buildroot}
popd
 
%fdupes %{buildroot}%{_datadir}
 
%files
%defattr(-,root,root)
%{_libdir}/%{app_name}
%dir %{_libdir}/%{app_name}/plugins
%{_datadir}/%{app_name}
 
%changelog
* Sat Jul 21 2012 egdfree@opensuse.org
- inital
